package com.ruoyi.tuya.service.impl;

import java.util.List;

import com.ruoyi.common.core.domain.entity.SysUser;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tuya.mapper.BusSupplierReleaseMapper;
import com.ruoyi.tuya.domain.BusSupplierRelease;
import com.ruoyi.tuya.service.IBusSupplierReleaseService;

/**
 * 平台报价单Service业务层处理
 *
 * @author zf
 * @date 2022-07-21
 */
@Service
public class BusSupplierReleaseServiceImpl implements IBusSupplierReleaseService
{
    @Autowired
    private BusSupplierReleaseMapper busSupplierReleaseMapper;

    /**
     * 查询平台报价单
     *
     * @param id 平台报价单主键
     * @return 平台报价单
     */
    @Override
    public BusSupplierRelease selectBusSupplierReleaseById(Long id)
    {
        return busSupplierReleaseMapper.selectBusSupplierReleaseById(id);
    }

    /**
     * 查询平台报价单列表
     *
     * @param busSupplierRelease 平台报价单
     * @return 平台报价单
     */
    @Override
    public List<BusSupplierRelease> selectBusSupplierReleaseList(BusSupplierRelease busSupplierRelease)
    {
        return busSupplierReleaseMapper.selectBusSupplierReleaseList(busSupplierRelease);
    }

    /**
     * 新增平台报价单
     *
     * @param busSupplierRelease 平台报价单
     * @return 结果
     */
    @Override
    public int insertBusSupplierRelease(BusSupplierRelease busSupplierRelease)
    {
        return busSupplierReleaseMapper.insertBusSupplierRelease(busSupplierRelease);
    }

    /**
     * 修改平台报价单
     *
     * @param busSupplierRelease 平台报价单
     * @return 结果
     */
    @Override
    public int updateBusSupplierRelease(BusSupplierRelease busSupplierRelease)
    {
        return busSupplierReleaseMapper.updateBusSupplierRelease(busSupplierRelease);
    }

    /**
     * 批量删除平台报价单
     *
     * @param ids 需要删除的平台报价单主键
     * @return 结果
     */
    @Override
    public int deleteBusSupplierReleaseByIds(Long[] ids)
    {
        return busSupplierReleaseMapper.deleteBusSupplierReleaseByIds(ids);
    }

    /**
     * 删除平台报价单信息
     *
     * @param id 平台报价单主键
     * @return 结果
     */
    @Override
    public int deleteBusSupplierReleaseById(Long id)
    {
        return busSupplierReleaseMapper.deleteBusSupplierReleaseById(id);
    }

    /**
     * 新增平台报价单删除备份
     *
     * @param ids 平台报价单
     * @return 结果
     */
    @Override
    public int insertBusSupplierReleaseDiscard(Long[] ids)
    {
        return busSupplierReleaseMapper.insertBusSupplierReleaseDiscard(ids);
    }

    /**
     * 修改热门标识
     *
     * @param busSupplierRelease 用户信息
     * @return 结果
     */
    @Override
    public int updateHotForm(BusSupplierRelease busSupplierRelease)
    {
        return busSupplierReleaseMapper.updateHotForm(busSupplierRelease);
    }
}
